%global _empty_manifest_terminate_build 0
Name:		python-readme-renderer
Version:	27.0
Release:	1
Summary:	readme_renderer is a library for rendering "readme" descriptions for Warehouse
License:	Apache License, Version 2.0
URL:		https://github.com/pypa/readme_renderer
Source0:	https://files.pythonhosted.org/packages/18/05/3882be3c9adbac777f0ce7cf77c5a7b95b41ef0ec88ba7c29481b0dab3bc/readme_renderer-27.0.tar.gz
BuildArch:	noarch

Requires:	python3-bleach
Requires:	python3-docutils
Requires:	python3-Pygments
Requires:	python3-six
Requires:	python3-cmarkgfm

%description
Readme Renderer is a library that will safely render arbitrary README files into HTML.
It is designed to be used in Warehouse to render the long_description for packages.
It can handle Markdown, reStructuredText (.rst), and plain text.

%package -n python3-readme-renderer
Summary:	readme_renderer is a library for rendering "readme" descriptions for Warehouse
Provides:	python-readme-renderer
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-readme-renderer
Readme Renderer is a library that will safely render arbitrary README files into HTML.
It is designed to be used in Warehouse to render the long_description for packages.
It can handle Markdown, reStructuredText (.rst), and plain text.

%package help
Summary:	Development documents and examples for readme-renderer
Provides:	python3-readme-renderer-doc
%description help
Readme Renderer is a library that will safely render arbitrary README files into HTML.
It is designed to be used in Warehouse to render the long_description for packages.
It can handle Markdown, reStructuredText (.rst), and plain text.

%prep
%autosetup -n readme_renderer-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-readme-renderer -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Oct 12 2020 maminjie <maminjie1@huawei.com> - 27.0-1
- Package Init
